﻿
using System.Collections;

namespace UnitOfWorkDemo.Infrastructure
{
    public interface IUnitOfWorkRepository
    {
        Hashtable AccountList { get; }
        void PersistCreationOf(IAggregateRoot entity);
        void PersistUpdateOf(IAggregateRoot entity);
        void PersistDeletionOf(IAggregateRoot entity); 
    }
}